//nastaveni globalni promenne Set_ReleventCaches, podle ktere je mozne omezit
//vyber kesi zpracovavanych na mapy
const   TEMP_FILTER_TABLE='temp.Stator_Filter'; //jmeno docasne vytvarene tabulky

function SetFilter_Run(aPar:TStringList):string;
var s,sSql:string;
    iDummy:integer;
    tab: TSqliteTable;
    nRows:integer;
    bIncludeIgnoring:boolean;
begin
  Result:='';
  //vymazat a vytvorit novou prazdnou tabulku pro ID z filtru
  sSql:='DROP TABLE IF EXISTS '+TEMP_FILTER_TABLE+';'+CRLF;
  Geoget_DB.ExecSQL(sSql);

  bIncludeIgnoring:=(UpperCase(aPar.Values['IncludeIgnoringCaches'])='YES');
  //vytvorime SQL v zavislosti na zadanych sloupcich
  aPar.Values['Columns']:=aPar.Values['Conditions'];
  //nastavime do parametru priznak toho, aby v SQL byla pouzita primo hodnota
  //tagu misto pouziti promenne ':jmeno'
  aPar.Values['SqlReplaceTagValues']:='YES';
  sSql:=TableListMakeSqlFromParams(aPar, bIncludeIgnoring, aPar.Values['IgnoreCacheTypes'],iDummy);
 {$ifdef DEBUG_HELPER} LDH('LLLL 1 SQL='+sSql); {$endif}
  //SQL upravime tak, abychom ziskali jen ID kesi
  //sSql:=RegexReplace('(?is)^.*?FROM\s*geocache\s*gc',ReplaceString(sSql,CRLF,' '),'SELECT gc.id FROM geocache gc',false);
  //pridame na zacatek sloupc gc.id, aby byl vzdy prvni
  sSql:=RegexReplace('(?is)^.*?SELECT',ReplaceString(sSql,CRLF,' '),'SELECT distinct gc.id,',false);
{$ifdef DEBUG_HELPER} LDH('LLLL 2 SQL='+sSql); {$endif}
  //doplnime SQL tak, aby se vytvorila docasna tabulka s vysledkem
  sSql:='CREATE TEMPORARY TABLE '+TEMP_FILTER_TABLE+' AS'+CRLF+sSql;
  Log('SQL='+sSql);
  Geoget_DB.ExecSQL(sSql); // vytvorime docasnou tabulku
  s:='SELECT id from '+TEMP_FILTER_TABLE;
  GlobalVarSet('Set_FilteredCaches',s);

  Log('Set_FilteredCaches='+GlobalVarGet('Set_FilteredCaches',false));
end;

procedure SetFilter_Free;
begin
end;
