//modul poskytuje vypocetni funkce, sam o sobe nic nevytvari
//funkce s *_INI_* zjistuje hodnoty z INI souboru, neni pro ne tedy potreba
//upravovat odpovidajici hodnoty ve funkcich v tomto *.pas souboru

function CalcRegionTagSupport_TagForMap(sMap:string; bShowError:boolean; var sCategory,sValue,sCategoryNad,sValueNad:string):boolean;
//vraci priznak nalezeni
var s:string;
    ini:TMemIniFile;
begin
  Result:=false; //nenasli jsme mapu
  sCategory:='';
  sValue:='';
  sCategoryNad:='';
  sValueNad:='';
  //Log('eeeeeeeeee sMap='+sMap);
  ini:=TMemIniFile.Create(GetModulesDir()+'MapGenSvg.Maps.ini');
  try
    if(sMap='PAmesto') then sMap:='PRmesto'; //misto stareho jmena mapy pro Prahu pouzijeme nove
    s:=ini.ReadString('Map-tags',sMap,'?');
    {$ifdef DEBUG_HELPER} LDH('aaa Read *.ini: sMap='+sMap+', s='+s); {$endif}
    if(s<>'?') then begin    //pokud najdeme, pouzijeme
      sCategory:=Fetch(s,';');
      sValue:=Fetch(s,';');
      sCategoryNad:=Fetch(s,';');
      sValueNad:=s;
      Result:=true;
    end
    else begin
      if(bShowError) then AddError(_('WARN: Couldn''t get TAG category for map:')+' (TagForMap):'+sMap)
      else Log(_('WARN: Couldn''t get TAG category for map:')+' (TagForMap):'+sMap);
    end;
  finally
    ini.Free();
  end;
end;

function CalcRegionTagSupport_GetMapName(sCountry:string):string;
//zjisti jmeno mapy, kterou je treba nakreslit pro zvoleny stat/okres/mesto
var ini:TMemIniFile;
    s:string;
begin
  //nacteme seznam map statu s delenim do kraju
  Result:='';
  ini:=TMemIniFile.Create(GetModulesDir()+'MapGenSvg.Maps.ini');
  try
    //Log('vvvvvvvv hledam Kraje/Okresy/Mesta pro sCountry='+sCountry);
    s:=ini.ReadString('Kraje',sCountry,'');
    if(s='') then s:=ini.ReadString('Okresy',sCountry,'');
    if(s='') then s:=ini.ReadString('Mesta',sCountry,'');
    Result:=Fetch(s,'(');
  finally
    ini.Free();
  end;
end;

function CalcRegionTagSupport_TagForCountry(sCountry:string; bShowError:boolean; var sCategory:string):boolean;
//vraci priznak nalezeni
var s,sValue,sCategoryNad,sValueNad:string;
begin
  Result:=false;
  sCategory:='';
  //najdeme pro stat mapu a pro mapu tag
  //pokud je stat z vyberu v modulu, je v ANSII
  //protoze seznam statu je z databaze, kde je v UTF, prevedeme ho na ASCII, jak je v INI
  s:=CalcRegionTagSupport_GetMapName(UtfToAscii(AnsiToUtf(sCountry)));
  //Log('fffffffffff sCountry='+sCountry+', s='+s);
  if(s<>'') then begin
    CalcRegionTagSupport_TagForMap(s, bShowError,sCategory,sValue,sCategoryNad,sValueNad);
  //Log('fffffffffff sCategory='+sCategory+', sValue='+sValue
  //  +', sCategoryNad='+sCategoryNad+', sValueNad='+sValueNad);
  end;
  if(sCategory='') then begin
    if(bShowError) then AddError(_('WARN: Couldn''t get TAG category for country:')+' (TagForCountry):'+sCountry)
    else Log(_('WARN: Couldn''t get TAG category for country:')+' (TagForCountry):'+sCountry);
  end
  else Result:=true;
end;

//hlavni funkce nedela nic
function CalcRegionTagSupport_Run(aPar:TStringList):string;
begin
  Result:='';
end;

procedure CalcRegionTagSupport_Free;
begin
end;
