/* javascript pro MapGenSvg modul */

lastMapRegionId="";

function tooltipInit(){
  $('.land').hover(function() {         //zobrazeni tooltipu
    lastMapRegionId=$(this);
    $(this).attr("class", "land");
    $tooltip.addClass('active');
    //console.log('land-hover: '+$(this).attr('title'));
    $tooltip.html($(this).attr('title')); //vypis obsahu Title (jmeno a pocet nalezu)
  }, function() {
    $tooltip.removeClass('active');
  });
  $(document).on('mousemove', function(e){ //uprava souradnic okna s tooltipem
    //console.log('mouse move');
    $tooltip.css({                         //pri kazdem pohybu mysi
      left:  e.pageX,
      top:   e.pageY-50
    });
  });
}
function tooltipTextInit(){
  //predpokladame, ze na text jsme se dostali pres oblast mapy, ktera nastavila
  //test tooltipu a nemusime jej tedy zjistovat :-)
  $('text').hover(function() {         //zobrazeni tooltipu
    //console.log('text-hover: '+lastMapRegionId+', '+$(lastMapRegionId).attr("id"));
    $(lastMapRegionId).attr("class", "land");
    $tooltip.addClass('active');
    $(lastMapRegionId).addClass('landFill');
    $tooltip.html($(lastMapRegionId).attr('title')); //vypis obsahu Title (jmeno a pocet nalezu)
  }, function() {
    $tooltip.removeClass('active');
    $(lastMapRegionId).removeClass('landFill');
  });
  $(document).on('mousemove', function(e){ //uprava souradnic okna s tooltipem
    $tooltip.css({                         //pri kazdem pohybu mysi
      left:  e.pageX,
      top:   e.pageY-50
    });
  });
}

function switchMapRegionLabels(){ $('text').toggle();} //skryti a zobrazeni popisku oblasti mapy

if(typeof($)!="function"){ alert("Missing jquery library!"); exit;}
$(document).ready(function() {
  $tooltip=$(".mapsTooltip");
  //pokud je pouzito inline svg, rovnou zavolame init()
  tooltipInit(); //pokud se nacetla posledni mapa, inicializujeme tooltip
  tooltipTextInit(); //pokud se nacetla posledni mapa, inicializujeme tooltip podle popisku oblasti na mape
});

</script>

<div class="mapsTooltip"></div>

<script type="text/javascript">
var nMaps=0;
var aMapsUrl=[];
var aMapsId=[];
