//
function GetSouvenirsData(sSouvenir:String):String;
var ini:TMemIniFile;
    s:string;
begin
    //nacte states definici QTH mapy podle jmena zeme
    Result:='';
    ini:=TMemIniFile.Create(GetModulesDir()+'SouvenirComposer.'+sProfile+'.ini');
    try
	    s:=ini.ReadString('Souvenirs',sSouvenir,'');
        Result:=s;
    finally
        ini.Free();
    end;
end;

//hlavni funkce modulu
function SouvenirComposer_Run(aPar:TStringList):string;
var
    sPom,sName,sSouv,sSData   :String;
    sGUID,sImg,sTImg,sDate,sW   :String;
begin
    Result:=''; sPom:='';
	//
	if(aPar.Values['Title']<>'') then Result:=ProcessCommand('CmdTitle',aPar);
    //
    sW := aPar.Values['SouvenirsSize'];
    if sW = '0' then sw := ''
    else sW := ' width="'+sW+'"';
	//
    Result := Result + '<div id="id'+IntToStr(iItem)+'" style="width:'+IntToStr(iWidth)+'px; text-align:center;">'
    //
    if(aPar.Values['StartComment']<>'') then begin
       Result := Result + aPar.Values['StartComment'] + '<br/>'; 
    end;
    //
    sSouv := aPar.Values['Souvenirs']
    while sSouv <> '' do begin
		sName := Fetch(sSouv,'|');
        sSData := GetSouvenirsData(sName);
        sName := ReplaceString(sName,'','');   //Vymau opakovaky z nzvu
        sDate := Fetch(sName,'-');
        //
        sGUID:=Fetch(sSData,'|');
        sImg:=Fetch(sSData,'|');
        sTImg:=Fetch(sSData,'|');
        //
        if(aPar.Values['BigImage']='Yes') then sTImg := sImg;
        //
        if(aPar.Values['OlderFirst']='Yes') then begin
            Result := Result 
                    + '<a href="http://www.geocaching.com/souvenir/?guid='+sGUID+'" target="_blank">'
                    + '<img src="'+sTImg+'"'+sW+' title="'+sName+' '+sDate+'"></a> ';
        end
        else begin
            sPom := '<a href="http://www.geocaching.com/souvenir/?guid='+sGUID+'" target="_blank">'
                    + '<img src="'+sTImg+'"'+sW+' title="'+sName+' '+sDate+'"></a> '
                    + sPom;  
        end;
        //
	end;
    //
    if(aPar.Values['OlderFirst']='No') then Result := Result + sPom;
    //
    if(aPar.Values['EndComment']<>'') then begin
       Result := Result + '<br/>' + aPar.Values['EndComment']; 
    end;
    //
    Result := Result + '</div>'
    Output(Result);
    Result:='';
end;